#include <bits/stdc++.h>
#define debug(x) cout << #x << " is " << x << '\n';
#define stigao() cout << "Stigao" < < < '\n';
#define file() freopen("output.txt", "w", stdout);

using namespace std;

int createNumber(int i, int j, int k, int a[]){
    string s = to_string(a[i]) + to_string(a[j]) + to_string(a[k]);
    return stoi(s);
}

int main() {
    ios::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    int a, b, c;
    cin >> a >> b >> c;
    int arr[] = {a, b, c};
    int maxi = 0;
    for(int i = 0; i < 3; i++){
        for(int j = 0; j < 3; j++){
            for(int k = 0; k < 3; k++){
                if(i != j && j != k && i != k)
                    maxi = max(maxi, createNumber(i, j, k, arr));
            }
        }
    }
    cout << maxi;
    return 0;
}